'***********************************************************************************

Dim MyMsg
Dim MyTime, MyHour
Dim MyDay, MyMonth,NumMonth
Dim NewPlaylist

Application.Console.Clear
MyMsg = "Playlist update in progress ..."
Console.WriteLine MyMsg
Application.Statusbar = MyMsg

MyTime = Now
MyHour = Hour(MyTime)

If MyHour < 10 then
   Dim TmpHour
   TmpHour = "0" & MyHour
   MyHour = TmpHour
end if

NumMonth = Month(Now)
MyMonth = MonthName(NumMonth, True)
MyDay = Day(Date)

If MyDay < 10 then
   Dim TmpDay
   TmpDay = "0" & MyDay
   MyDay = TmpDay
end if

' Build the playlist name
NewPlaylist = Application.Path & "Playlists\" & MyMonth & MyDay & MyHour & ".alb"

' Write status information
MyMsg = "Initializing " & NewPlaylist & " ..."
Console.WriteLine MyMsg
Application.Statusbar = MyMsg

' Don't ask to save modified playlist file
Application.ActiveDocument.Saved = True

' Load playlist
On Error Resume Next
Application.Documents.Open NewPlaylist
MyMsg = "Playlist for " & MyMonth & "," & MyDay & "th " & " from "_
         & MyHour & "h to " & MyHour + 1 & "h loaded at " & Time
Console.WriteLine MyMsg
Application.Statusbar = MyMsg

'***********************************************************************************